package listeners;

/*
 *  Copyright (C) 2018 Juergen Platzer 
 * 
 *  This file is part of JInfoViz.
 *  
 *  JInfoViz is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  JInfoViz is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with JInfoViz.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Interface for global constants.
 *
 */

public interface GlobalConstants {


  /*** VIEW ID: Parallel coordinates ***/
  public static final int VIEW_ID_PAARCOORD = 0;
  /*** VIEW ID: Scatterplot ***/
  public static final int VIEW_ID_SCATTERPLOT = 1;
  /*** VIEW ID: OutlierDetectionView ***/
  public static final int VIEW_ID_OUTLIER = 2;

  /*** Number of views ***/
  public static final int VIEW_NUM = 3;


  /*** Name of the DOI channel: Degree Of Interest ***/
  public static final String DOINAME = "Degree Of Interest";
  /*** Name of the Cluster IDs channel: Cluster IDs ***/
  public static final String CLUSTIDNAME = "Cluster IDs";
  /*** Name of the Cluster Distances channel: Cluster distances ***/
  public static final String CLUSTDISTNAME = "Cluster distances";


  /*** COLORING MODES: Coloring by Selection ***/
  public static final int COL_BY_SEL = 0;
  /*** COLORING MODES: Coloring by Dimension ***/
  public static final int COL_BY_DIM = 1;


  /*** MARGIN_CONSTANTS for Parallel coordinates view: top margin ***/
  public final int MARGIN_TOP      = 20;
  /*** MARGIN_CONSTANTS for Parallel coordinates view: bottom margin ***/
  public final int MARGIN_BOTTOM   = 20;
  /*** MARGIN_CONSTANTS for Parallel coordinates view: left margin ***/
  public final int MARGIN_LEFT     = 60;
  /*** MARGIN_CONSTANTS for Parallel coordinates view: right margin ***/
  public final int MARGIN_RIGHT    = 60;
  /*** MARGIN_CONSTANTS for Parallel coordinates view: margin for the dimension names ***/
  public final int MARGIN_DIMNAMES = 20;
  /*** MARGIN_CONSTANTS for Parallel coordinates view: margin for minima and maxima ***/
  public final int MARGIN_MINMAX   = 40;

  /*** ARROW_CONSTANTS for scatterplot view ***/
  public final int ARROW_SPACE          = 50;
  public final int ARROW_THICKNESS      = 10;
  public final int ARROW_TOP_LENGTH     = 50;
  public final int ARROW_TOP_WIDTH      = 30;

  /*** SCATTERPLOT-MARGIN ***/
  public final int SCATTERPLOT_MARGIN   = 20;





  /*** MOUSE POSITION STATUS CONSTANT: mouse out of every selection ***/
  public final int MOUSE_OUT        = 0;
  /*** MOUSE POSITION STATUS CONSTANT: mouse on horizontal border of a selection ***/
  public final int MOUSE_HORIZONTAL = 1;
  /*** MOUSE POSITION STATUS CONSTANT: mouse on vertical border of a selection ***/
  public final int MOUSE_VERTICAL   = 2;
  /*** MOUSE POSITION STATUS CONSTANT: mouse in a selection ***/
  public final int MOUSE_IN         = 3;
  /*** MOUSE POSITION STATUS CONSTANT: mouse in on the right upper corner of a selection ***/
  public final int MOUSE_CORNER_NE  = 4;
  /*** MOUSE POSITION STATUS CONSTANT: mouse in on the left upper corner of a selection ***/
  public final int MOUSE_CORNER_NW  = 5;
  /*** MOUSE POSITION STATUS CONSTANT: mouse in on the right lower corner of a selection ***/
  public final int MOUSE_CORNER_SE  = 6;
  /*** MOUSE POSITION STATUS CONSTANT: mouse in on the left lower corner of a selection ***/
  public final int MOUSE_CORNER_SW  = 7;


  /*** MOUSE DRAG STATUS CONSTANT: No dragging ***/
  public final int MOUSE_DRAG_NONE            = 0;
  /*** MOUSE DRAG STATUS CONSTANT: Dragging to reposition a selection ***/
  public final int MOUSE_DRAG_REPOSITION      = 1;
  /*** MOUSE DRAG STATUS CONSTANT: Dragging to resize a selection ***/
  public final int MOUSE_DRAG_RESIZE          = 2;
  /*** MOUSE DRAG STATUS CONSTANT: Dragging for creation of a selection ***/
  public final int MOUSE_DRAG_CREATE          = 4;
  /*** MOUSE DRAG STATUS CONSTANT: Dragging for resizing the horizontal border of a selection ***/
  public final int MOUSE_DRAG_RESIZE_HOR      = 5;
  /*** MOUSE DRAG STATUS CONSTANT: Dragging for resizing the vertical border of a selection ***/
  public final int MOUSE_DRAG_RESIZE_VER      = 6;
  /*** MOUSE DRAG STATUS CONSTANT: Dragging for resizing the vertical and horizontal border of a selection ***/
  public final int MOUSE_DRAG_RESIZE_CORNER   = 7;


  /*** CORRESPONDENCE OF AXIS: No correspondence ***/
  public final int CORR_NO      = 0;
  /*** CORRESPONDENCE OF AXIS: Corresponds to x axis of scatterplot ***/
  public final int CORR_X       = 1;
  /*** CORRESPONDENCE OF AXIS: Corresponds to y axis of scatterplot ***/
  public final int CORR_Y       = 2;
  /*** CORRESPONDENCE OF AXIS: Corresponds both axes scatterplot ***/
  public final int CORR_BOTH    = 3;




}