package listeners;

/*
 *  Copyright (C) 2018 Juergen Platzer 
 * 
 *  This file is part of JInfoViz.
 *  
 *  JInfoViz is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  JInfoViz is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with JInfoViz.  If not, see <http://www.gnu.org/licenses/>.
 */

import view.ColoringFrame;

/** Interface for all classes that have to be notified, if there are changes in
 *  the coloring of the data items.
 */
public interface IColoringListener {


  /** Invoked when a change in the coloring of the data items occurs.
   *
   *  @param pColoring ColoringFrame holding all properties of the coloring of the data items.
   */
  public void coloringChanged(IViewColoring pColoring);

}